﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace CustomColumns
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ObservableCollection<Product> Products;
        public MainWindow()
        {
            InitializeComponent();
            Products = new ObservableCollection<Product>();
            Random random = new Random();
            for(int i=0;i<10;i++)
            {
                Products.Add(new Product() { Id=i,Name="Product "+i,Price=random.Next(1000,10000)});
            }
            _flex.ItemsSource = Products;
        }

        private void Dragged_Column(object sender, C1.WPF.FlexGrid.CellRangeEventArgs e)
        {
            MessageBox.Show("Dragged Position: " + e.Column);
        }
    }
    public class Product
    {
        [Display(Order =2)]
        public int Id { get; set; }
        [Display(Order = 1)]
        public string Name { get; set; }
        [Display(Order = 3)]
        public double Price { get; set; }
    }
}
